SBUILD-UPDATE(1)

NAME
sbuild-update - update, upgrade, and clean an sbuild chroot with apt-get

SYNOPSIS
sbuild-update [-h|--help] [-V|--version] [--arch=architecture] [-u|--update] [-g|--upgrade] [-d|--dist-upgrade] [-c|--clean] [-a|--autoclean] [-r|--autoremove] [--chroot-mode=schroot|sudo|unshare] CHROOT1 [CHROOT2 [CHROOTn...]]
(DEPRECATED) sbuild-upgrade [-h|--help] [-V|--version] CHROOT1 [CHROOT2 [CHROOTn...]]
(DEPRECATED) sbuild-distupgrade [-h|--help] [-V|--version] CHROOT1 [CHROOT2 [CHROOTn...]]
(DEPRECATED) sbuild-clean [-h|--help] [-V|--version] [-c|--clean] [-a|--autoclean] [-r|--autoremove] CHROOT1 [CHROOT2 [CHROOTn...]]

DESCRIPTION
sbuild-update runs apt-get inside the specified chroot performing update, upgrade, dist-upgrade, clean, autoclean, and/or autoremove depending on the options specified on the command line.

sbuild-upgrade, sbuild-distupgrade, and sbuild-clean, are deprecated. They now simply run sbuild-update with the appropriate options (--upgrade or --dist-upgrade for sbuild-upgrade or sbuild-distupgrade respectively) along with whatever arguments were passed in the scripts.

OPTIONS

  Actions

-h, --help
    Display this manual.

-V, --version
    Print version information.

--arch=architecture
    Update chroot for the architecture specified.

-u, --update
    Perform an apt-get update.

-g, --upgrade
    Perform an apt-get upgrade.

-d, --dist-upgrade
    Perform an apt-get dist-upgrade.

-c, --clean
    Perform an apt-get clean.

-a, --autoclean
    Perform an apt-get autoclean.

-r, --autoremove
    Perform an apt-get autoremove.

  Chroot selection

--chroot-mode=schroot|sudo|unshare
    The sbuild chroot backend of the chroot to update. The autopkgtest backend is not supported by this method because autopkgtest backends are always ephemeral and changes never persist. To update a chroot for schroot and sudo, sbuild-update must be executed with superuser privileges (for example by using sudo). Creating a chroot for the unshare backend can be done by a normal user (without sudo) but it requires Linux user namespaces to be enabled (via "sysctl -w kernel.unprivileged_userns_clone=1"). Defaults to 'schroot'.

CHROOT
    The chroot to use. Note that ‘o’, ‘s’, ‘t’, ‘u’ and ‘e’ may be used as abbreviations for ‘oldstable’, ‘stable’, ‘testing’, ‘unstable’ and ‘experimental’, respectively.

EXAMPLES
To update the unstable chroot:

% sbuild-update --update unstable

To upgrade the unstable chroot:

% sbuild-update --upgrade unstable

To clean the unstable chroot:

% sbuild-update --clean unstable

To perform an update, dist-upgrade, clean, autoclean, and autoremove for the unstable chroot:

% sbuild-update -udcar unstable

AUTHORS
Roger Leigh.
Andres Mejia.

COPYRIGHT
Copyright © 2006–2009 Roger Leigh <rleigh@debian.org>.
Copyright © 2010 Andres Mejia <mcitadel@gmail.com>.

SEE ALSO
sbuild(1), sbuild-apt(1),